#include <stdio.h>
#include <stdlib.h>
int main()
{
    long n,k,t,i,j,maks1,maks2,maks,s=2;
    scanf("%ld",&n);
    int a[n];
    int c[n];
    for(i=0;i<n-1;i++)
        {
            scanf("%d",&k);
            scanf("%d",&j);
        }
        printf("%d",s);
   return 0;
}